//---------------------------------------------------------------------------

#ifndef MemoryStatusUnitH
#define MemoryStatusUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <Psapi.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TListBox *List;
  TStringGrid *DGrid;
  TTimer *Timer1;
  TPanel *Panel1;
  TEdit *Edit1;
  TButton *BtnAllocateMem;
  TButton *BtnFreeMemory;
  TButton *BtnEXIT;
  TButton *BtnFreeAllMemory;
  TButton *BtnAllocateAndUse;
  TLabel *Label1;
  TButton *BtnUseAgain;
  TButton *BtnRandomFree10;
  TButton *BtnMinToFreeMem;
  TButton *BtnRandomAllocate10;
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall BtnAllocateMemClick(TObject *Sender);
  void __fastcall BtnFreeMemoryClick(TObject *Sender);
  void __fastcall BtnFreeAllMemoryClick(TObject *Sender);
  void __fastcall BtnAllocateAndUseClick(TObject *Sender);
  void __fastcall DGridDrawCell(TObject *Sender, int ACol, int ARow,
          TRect &Rect, TGridDrawState State);
  void __fastcall BtnUseAgainClick(TObject *Sender);
  void __fastcall BtnEXITClick(TObject *Sender);
  void __fastcall BtnRandomFree10Click(TObject *Sender);
  void __fastcall BtnMinToFreeMemClick(TObject *Sender);
  void __fastcall BtnRandomAllocate10Click(TObject *Sender);
private:	// User declarations
  HANDLE  ThisProcess;
  int     TotalAllocate;
public:		// User declarations
  __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
